### Virtual Method

# GtkSource GutterRenderer change_buffer

#### Declaration [src]

    void
    change_buffer (
      GtkSourceGutterRenderer* renderer,
      GtkSourceBuffer* old_buffer
    )

#### Description [src]

This is called when the text buffer changes for `renderer`.

#### Parameters

`old_buffer`

  Type: `GtkSourceBuffer`

  The old `GtkTextBuffer`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.